<?xml version="1.0" encoding="UTF-8"?>
<search-engine>
	<folder identFolder="/CDM/program[1]/@id">

		<communs-indexes>
			<index name="domaine"
				terms="/CDM/program[position()=1]/infoBlock/subBlock[@userDefined='HABILITATION']/subBlock[@userDefined='DOMAINE']/subBlock/@userDefined"
				keyword="true" />

			<index name="diplome"
				terms="/CDM/program[position()=1]/qualification/degree"
				keyword="true" />

			<index name="intituleSort"
				terms="/CDM/program[position()=1]/programName/text[@language='fr-FR']" />

			<index name="titleSort"
				terms="/CDM/program[position()=1]/programName/text[@language='en-EN']" />
		</communs-indexes>

		<focus name="program" scope="/CDM/program[position()=1]" >

			<index name="intitule"
				terms="programName/text[@language='fr-FR'] programDescription/subBlock[@blockLang='fr-FR']//text()"
				tokenized="true" />

			<index name="title"
				terms="programName/text[@language='en-EN'] programDescription/altLangBlock[@blockLang='en-EN']//text()"
				tokenized="true" lang="en-EN" />
			
		</focus>

		<focus name="parcours" scope="/CDM/program[position()!=1]" ident="@id" >
			<index name="intitule"
				terms="programName/text[@language='en-EN'] programDescription/subBlock[@blockLang='en-EN']//text()"
				tokenized="true" />

			<index name="title"
				terms="programName/text[@language='en-EN'] programDescription/altLangBlock[@blockLang='en-EN']//text()"
				tokenized="true" lang="en-EN" />

			<index name="parcoursName" terms="programName/text"
				result="true" />
				
			<index name="parent"  terms="/CDM/program[programStructure/refProgram/@idRef=${ident}]/@id"  result="true" />
			
		</focus>

		<!-- focus  name="course" scope="/CDM/course" ident="@ident">
			<index name="intitule"
			terms="courseName/text courseDescription//text()" />
			
			</focus -->

	</folder>

	<languages defaultLang="fr-FR">
		<language name="fr-FR">
			<analyzer>
				<!--  Considérer les caractères * et ? comme des caractères blancs,
					empêche les utilisateurs finals de faire des recherches personnalisées -->
				<whites-chars>
					?*-+=_"'`.,;:()[]{}«»&lt;>/\|!°#§&amp;
				</whites-chars>
				<emptys-words>
					0 1 2 3 4 5 6 7 8 9 a au aux b c car ce d dans de
					des donc dont du e elle elles en et f g h i il ils j
					je k l la le les leur leurs lui m mais n ni nous o
					on or ou p par parce q qu quand quant que qui quoi r
					s se soi sous sur t tu u un une v vous w x y z à è é
				</emptys-words>
			</analyzer>
			<sort>
				<!-- Que les indexes non tokenizé (les indexes keywords et resultats ne sont pas tokenizés) -->
				<!-- Attention un index keyword est trié selon la casse (les majuscules en premiers) et les espaces -->
				<by index="domaine" />
				<by index="diplome" />
				<by index="intituleSort" />
			</sort>
		</language>

		<language name="en-EN">
			<analyzer>
				<whites-chars>
					?*-+=_"'`.,;:()[]{}«»&lt;>/\|!°#§&amp;
				</whites-chars>
				<emptys-words>
					0 1 2 3 4 5 6 7 8 9 a and are as at b be but by c d
					e f for g h i if in into is it j j k l m n no not o
					of on or p q r s such t the to u v w was x y z
				</emptys-words>
			</analyzer>
			<sort>
				<by index="domaine" />
				<by index="diplome" />
				<by index="titleSort" />
			</sort>
		</language>
	</languages>

</search-engine>